com.sun.jna.platform.win32

## Class Ddeml.CONVCONTEXT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ddeml.CONVCONTEXT

- Enclosing interface:
    Ddeml

      public static class Ddeml.CONVCONTEXT
      extends Structure

  The following structure is used by DdeConnect() and DdeConnectList() and by XTYP_CONNECT and XTYP_WILDCONNECT callbacks.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cb` set to sizeof(CONVCONTEXT)
    `int` | `dwLangID` language ID for topic/item strings.
    `int` | `dwSecurity` Private security code.
    `static java.util.List<java.lang.String>` | `FIELDS`
    `int` | `iCodePage` codepage used for topic/item strings.
    `WinNT.SECURITY_QUALITY_OF_SERVICE` | `qos` The quality of service a DDE client wants from the system during a given conversation.
    `int` | `wCountryID` country/region code for topic/item strings used.
    `int` | `wFlags` none currently defined.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CONVCONTEXT()`
    `CONVCONTEXT(Pointer p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.
    `void` | `write()` Writes the fields of the struct to native memory

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### cb

          public int cb

      set to sizeof(CONVCONTEXT)

    - #### wFlags

          public int wFlags

      none currently defined.

    - #### wCountryID

          public int wCountryID

      country/region code for topic/item strings used.

    - #### iCodePage

          public int iCodePage

      codepage used for topic/item strings.

    - #### dwLangID

          public int dwLangID

      language ID for topic/item strings.

    - #### dwSecurity

          public int dwSecurity

      Private security code.

    - #### qos

          public WinNT.SECURITY_QUALITY_OF_SERVICE qos

      The quality of service a DDE client wants from the system during a given conversation. The quality of service level specified lasts for the duration of the conversation. It cannot be changed once the conversation is started.

  - ### Constructor Detail

    - #### CONVCONTEXT

          public CONVCONTEXT()

    - #### CONVCONTEXT

          public CONVCONTEXT(Pointer p)

  - ### Method Detail

    - #### write

          public void write()

      Description copied from class: `Structure`
      Writes the fields of the struct to native memory
      Overrides:
        `write` in class `Structure`

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.